Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
gunar
Posts: 64
Registered: ‎09-02-2008
My Device: 8830, 8100

Incompatibility issue

Hi!

 

I build an application for BB 8310, v 4.2.2.146,  and I had no problems installing with Desktop Manager v 4.3.0.17. The application uses 4.2.1 API...

I gave this application to a friend which has a BB 8100 v 4.2.1.103.He tried to install the application using Desktop Manager 4.2 and Device Software v 4.2.1.103...

 

We are getting an error: no additional applications designed for your device were found 

 

Since the versions of both devices use same desktop managers, my questions:

1. When you build an application, does it matter what device it runs on? Or the only thing that matters is the OS?

2. If I build an application using 4.2.1 API, will it run on 4.2.1.103 and 4.2.2 devices?

3. What could be a solution for our problem?

 

Br,

gunar

Developer
rafo
Posts: 507
Registered: ‎07-15-2008
My Device: Not Specified

Re: Incompatibility issue

[ Edited ]

To avoid "no additional applications designed" message use the most recent Blackberry Desktop Software.

 

Your questions:

 

1. When you build an application, does it matter what device it runs on? Or the only thing that matters is the OS?

 

Only OS version matters. It should be bigger or equal to the JDE version.

 

2. If I build an application using 4.2.1 API, will it run on 4.2.1.103 and 4.2.2 devices?

 

It will run on 4.2.1 and 4.2.2 devices, and 4.3.0 devices and so on.

 

3. What could be a solution for our problem?

 

Use the most recent Blackberry Desktop Software version.

Message Edited by rafo on 09-15-2008 04:58 PM
----------------
if your issue solved set "Solution" mark at the relevant post
Developer
gunar
Posts: 64
Registered: ‎09-02-2008
My Device: 8830, 8100

Re: Incompatibility issue

Hi!

 

Thanks for the reply! It turned out that my friend had the phone under a BES... Is it possible that BES can prevent installing applications and give errors as the one he has?

 

Best regards!

gunar

BlackBerry Development Advisor
MSohm
Posts: 14,753
Registered: ‎07-09-2008
My Device: BlackBerry Passport

Re: Incompatibility issue

This error can be a result of not having installed the BlackBerry handheld software on the user's PC.  Note that this is a separate installation from Desktop Manager and can be downloaded from their carrier's web site.
Mark Sohm
BlackBerry Development Advisor

Please refrain from posting new questions in solved threads.
Problem solved? Click the Accept As Solution button.
Found a bug? Report it using Issue Tracker